Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161797 - identify and convert: colorspace detection was wrong for (photoshop)eps
Summary: identify and convert: colorspace detection was wrong for (photoshop)eps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Norm Murray
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 14:14 UTC by Leonhard Zachl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: ImageMagick-6.2.8.0-3.fc6.1.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-24 11:30:45 UTC


Attachments (Terms of Use)

Description Leonhard Zachl 2005-06-27 14:14:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:


Version-Release number of selected component (if applicable):
ImageMagick-6.2.2.0-3.fc4.0.x64_86

How reproducible:
Always

Steps to Reproduce:
1. bash# identify http://mail.kurier.at/Titelseite.eps
 //mail.kurier.at/Titelseite.eps=>/tmp/magick-XXPnRZbZ HTTP 604x859 604x859+0+0 PseudoClass 256c 2.0mb 0.050u 0:01
2. bash# identify.32 http://mail.kurier.at/Titelseite.eps
 //mail.kurier.at/Titelseite.eps=>/tmp/magick-XXONtbQo HTTP 604x859 604x859+0+0 DirectClass 2.0mb 0.070u 0:01
3. bash# convert -colospace rgb http://mail.kurier.at/Titelseite.eps > bad.jpg
4. bash# convert.32 -colospace rgb http://mail.kurier.at/Titelseite.eps > ok.jpg
identify.32 and convert.32 are 32 bit versions copied from an i386 installation  

Actual Results:  bad.jpg is a distorted grayscale jpeg
ok is the expected rgb jpeg

Expected Results:  both should be rgb

Additional info:

bug exists in fc3 x86_64 too

Comment 1 Christian Iseli 2007-01-22 12:00:26 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.